// ID:id, NeedRecharge:需要充值金额, Item:奖励数量, ItemCount:奖励数量

export default class M_ReturnBenifitRechargeCFG {
  private static data =
      {"1":{"ID":1,"NeedRecharge":38,"Item":[1,8],"ItemCount":[380000,1]}

      ,"2":{"ID":2,"NeedRecharge":88,"Item":[1,8],"ItemCount":[880000,5]}

      ,"3":{"ID":3,"NeedRecharge":188,"Item":[1,5],"ItemCount":[1880000,10]}

      ,"4":{"ID":4,"NeedRecharge":288,"Item":[1,9],"ItemCount":[2880000,15]}

      ,"5":{"ID":5,"NeedRecharge":588,"Item":[1,17],"ItemCount":[5880000,10]}

      ,"6":{"ID":6,"NeedRecharge":888,"Item":[1,41],"ItemCount":[8880000,20]}

      ,"7":{"ID":7,"NeedRecharge":1888,"Item":[1,41],"ItemCount":[18880000,40]}

      }// ID:id, NeedRecharge:需要充值金额, Item:奖励数量, ItemCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}